### Function

# AppStream ContentRatingSystem get_formatted_ages

since: 0.12.12

#### Declaration [src]

    gchar**
    as_content_rating_system_get_formatted_ages (
      AsContentRatingSystem system
    )

#### Description [src]

Get an array of all the possible return values of `as_content_rating_system_format_age()` for the given `system`. The array is sorted with youngest CSM age first.

Available since: 0.12.12

#### Parameters

`system`

  Type: `AsContentRatingSystem`

  An `AsContentRatingSystem`.

#### Return value

Type: An array of `utf8`

`NULL`-terminated array of human-readable age strings.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.